## org.codehaus.groovy.grails.commons
Class DefaultGrailsUrlMappingsClass

    java.lang.Object
      org.codehaus.groovy.grails.commons.AbstractGrailsClass
          org.codehaus.groovy.grails.commons.DefaultGrailsUrlMappingsClass

All Implemented Interfaces:
  GrailsClass, GrailsUrlMappingsClass

    public class DefaultGrailsUrlMappingsClass

extends AbstractGrailsClass
implements GrailsUrlMappingsClass

Field Summary
`static String` `URL_MAPPINGS`

Constructor Summary
`DefaultGrailsUrlMappingsClass(Class clazz)`

Method Summary
`List` `getExcludePatterns()` Returns a List of URI patterns to exclude
`groovy.lang.Closure` `getMappingsClosure()` Returns the mappings closure which is called to evaluate the url mappings.

Methods inherited from class org.codehaus.groovy.grails.commons.AbstractGrailsClass
`getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyValue, getPropertyValue, getReference, getShortName, hasProperty, newInstance, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.codehaus.groovy.grails.commons.GrailsClass
`getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyName, getPropertyValue, getPropertyValue, getReference, getShortName, hasProperty, newInstance`

Field Detail

### URL_MAPPINGS

    public static final String URL_MAPPINGS

See Also:
  Constant Field Values

Constructor Detail

### DefaultGrailsUrlMappingsClass

    public DefaultGrailsUrlMappingsClass(Class clazz)

Method Detail

### getMappingsClosure

    public groovy.lang.Closure getMappingsClosure()

  Description copied from interface: `GrailsUrlMappingsClass`
  Returns the mappings closure which is called to evaluate the url mappings.

  Specified by:
    `getMappingsClosure` in interface `GrailsUrlMappingsClass`
  Returns:
    A Closure instance

### getExcludePatterns

    public List getExcludePatterns()

  Description copied from interface: `GrailsUrlMappingsClass`
  Returns a List of URI patterns to exclude

  Specified by:
    `getExcludePatterns` in interface `GrailsUrlMappingsClass`
  Returns:
    A list of Strings

Copyright (c) 2005-2009 The Grails project